Filter Evaluations
curl --request POST \
--url https://api.egp.scale.com/v5/evaluations/filter \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"filters": [
{
"key": "<string>",
"value": "<string>",
"object": "metadata_filter"
}
]
}
'import requests
url = "https://api.egp.scale.com/v5/evaluations/filter"
payload = { "filters": [
{
"key": "<string>",
"value": "<string>",
"object": "metadata_filter"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: [{key: '<string>', value: '<string>', object: 'metadata_filter'}]})
};
fetch('https://api.egp.scale.com/v5/evaluations/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/evaluations/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'key' => '<string>',
'value' => '<string>',
'object' => 'metadata_filter'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/evaluations/filter"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.egp.scale.com/v5/evaluations/filter")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/evaluations/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"tags": [
"<string>"
],
"datasets": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"status": "failed",
"object": "evaluation",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"workflows": {
"total": 123,
"completed": 123,
"failed": 123,
"pending": 123
},
"items": {
"total": 123,
"successful": 123,
"failed": 123,
"pending": 123,
"failed_items": []
}
},
"tasks": [
{
"configuration": {
"model": "<string>",
"messages": [
{}
],
"top_k": 123,
"frequency_penalty": 0,
"function_call": {},
"functions": [
{}
],
"logit_bias": {},
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"metadata": {},
"modalities": [
"<string>"
],
"n": 123,
"parallel_tool_calls": true,
"prediction": {},
"presence_penalty": 0,
"reasoning_effort": "<string>",
"response_format": {},
"seed": 123,
"stop": "<string>",
"store": true,
"temperature": 1,
"tool_choice": "<string>",
"tools": [
{}
],
"top_logprobs": 10,
"top_p": 0.5,
"audio": {}
},
"task_type": "chat_completion",
"alias": "chat_completion"
}
],
"metadata": {},
"error_count": 123
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
Filter Evaluations
Filter evaluations by metadata, status, and tags.
Accepts up to 10 filters combined with AND logic, each comparing a key against a value with an
operator (==, !=, >=, <=, IN, NOT_IN). Filter on metadata keys returned by the
metadata-keys endpoint, plus the built-in status and tag keys. Archived evaluations are
excluded unless include_archived is set, and the tasks view includes task configurations in
each result. Use this for metadata or status filtering; for simple name or tag lookups the list
endpoint is sufficient.
POST
/
v5
/
evaluations
/
filter
Filter Evaluations
curl --request POST \
--url https://api.egp.scale.com/v5/evaluations/filter \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"filters": [
{
"key": "<string>",
"value": "<string>",
"object": "metadata_filter"
}
]
}
'import requests
url = "https://api.egp.scale.com/v5/evaluations/filter"
payload = { "filters": [
{
"key": "<string>",
"value": "<string>",
"object": "metadata_filter"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: [{key: '<string>', value: '<string>', object: 'metadata_filter'}]})
};
fetch('https://api.egp.scale.com/v5/evaluations/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/evaluations/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'key' => '<string>',
'value' => '<string>',
'object' => 'metadata_filter'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/evaluations/filter"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.egp.scale.com/v5/evaluations/filter")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/evaluations/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"object\": \"metadata_filter\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"tags": [
"<string>"
],
"datasets": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"status": "failed",
"object": "evaluation",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"workflows": {
"total": 123,
"completed": 123,
"failed": 123,
"pending": 123
},
"items": {
"total": 123,
"successful": 123,
"failed": 123,
"pending": 123,
"failed_items": []
}
},
"tasks": [
{
"configuration": {
"model": "<string>",
"messages": [
{}
],
"top_k": 123,
"frequency_penalty": 0,
"function_call": {},
"functions": [
{}
],
"logit_bias": {},
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"metadata": {},
"modalities": [
"<string>"
],
"n": 123,
"parallel_tool_calls": true,
"prediction": {},
"presence_penalty": 0,
"reasoning_effort": "<string>",
"response_format": {},
"seed": 123,
"stop": "<string>",
"store": true,
"temperature": 1,
"tool_choice": "<string>",
"tools": [
{}
],
"top_logprobs": 10,
"top_p": 0.5,
"audio": {}
},
"task_type": "chat_completion",
"alias": "chat_completion"
}
],
"metadata": {},
"error_count": 123
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Body
application/json
Response
Successful Response